Package org.zkoss.zul

## Class AbstractTreeModel.Path

- java.lang.Object
- - org.zkoss.zul.AbstractTreeModel.Path

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable`
  Direct Known Subclasses:
    `DefaultTristateTreeModel.Path`
  Enclosing class:
    AbstractTreeModel<E>

      protected static class AbstractTreeModel.Path
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Comparable

  Represents a tree path.
  Since:
    6.0.0
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int[]` | `path` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Path​(int[] path)` |
    `protected` | `Path​(AbstractTreeModel.Path p)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(java.lang.Object o)` |
    `boolean` | `equals​(java.lang.Object o)` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### path

          public final int[] path

  - ### Constructor Detail

    - #### Path

          protected Path​(int[] path)

    - #### Path

          protected Path​(AbstractTreeModel.Path p)

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo​(java.lang.Object o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`